What are the requirements for AdminProject?

Category: General information

All you need is a device with internet access and one of the modern browsers installed.

We currently support Internet Explorer 11 and recent releases of Firefox, Chrome, Safari and Edge. You can use other browsers but we can’t guarantee full and error-free functionality.

Browsing is supported also from mobile devices with Android and iOS.

Leave a Reply

Your email address will not be published.